# urlinfo_s Struct Reference

URL control structure. More...

`#include <rpmurl.h>`

## Data Fields

int | nrefs
const char * | url
const char * | service
const char * | user
const char * | password
const char * | host
const char * | portstr
const char * | proxyu
const char * | proxyh
int | proxyp
int | port
int | urltype
FD_t | ctrl
FD_t | data
int | bufAlloced
char * | buf
int | openError
int | httpVersion
int | httpHasRange
int | magic

## Detailed Description

URL control structure.

Definition at line 28 of file rpmurl.h.

## Field Documentation

int urlinfo_s::nrefs

no. of references

Definition at line 29 of file rpmurl.h.

const char* urlinfo_s::url

copy of original url

Definition at line 31 of file rpmurl.h.

const char* urlinfo_s::service

Definition at line 33 of file rpmurl.h.

const char* urlinfo_s::user

Definition at line 35 of file rpmurl.h.

const char* urlinfo_s::password

Definition at line 37 of file rpmurl.h.

const char* urlinfo_s::host

Definition at line 39 of file rpmurl.h.

const char* urlinfo_s::portstr

Definition at line 41 of file rpmurl.h.

const char* urlinfo_s::proxyu

FTP: proxy user

Definition at line 43 of file rpmurl.h.

const char* urlinfo_s::proxyh

FTP/HTTP: proxy host

Definition at line 45 of file rpmurl.h.

int urlinfo_s::proxyp

FTP/HTTP: proxy port

Definition at line 46 of file rpmurl.h.

int urlinfo_s::port

Definition at line 47 of file rpmurl.h.

int urlinfo_s::urltype

Definition at line 48 of file rpmurl.h.

FD_t urlinfo_s::ctrl

control channel

Definition at line 49 of file rpmurl.h.

FD_t urlinfo_s::data

per-xfer data channel

Definition at line 50 of file rpmurl.h.

int urlinfo_s::bufAlloced

sizeof I/O buffer

Definition at line 51 of file rpmurl.h.

char* urlinfo_s::buf

I/O buffer

Definition at line 52 of file rpmurl.h.

int urlinfo_s::openError

Type of open failure

Definition at line 53 of file rpmurl.h.

int urlinfo_s::httpVersion

Definition at line 54 of file rpmurl.h.

int urlinfo_s::httpHasRange

Definition at line 55 of file rpmurl.h.

int urlinfo_s::magic

Definition at line 56 of file rpmurl.h.

The documentation for this struct was generated from the following file:

- rpmio/rpmurl.h